TERMINAL(1)

NAME
Terminal - Un emulador de Terminal para X

SINOPSIS

Terminal [Opción...]

DESCRIPCIóN

Terminal se conoce como un emulador de terminal X, a menudo referido como terminal o consola. Éste provee la antigua consola de texto en su escritorio, pero una que le permite compartir fácilmente la pantalla con otras aplicaciones gráficas. Los usuarios de Windows pueden estar familiarizados con la utilidad Prompt de MS-DOS, que tiene la función análoga proporcionado un interprete de comandos DOS bajo Windows, aunque uno notará que la UNIX CLI ofrece mucho más potencial y facilidad de uso que DOS.

Terminal emula la aplicación xterm desarrollada por el X Consortium. La aplicación xterm emula el terminal DEC VT102 y también soporta las secuencias de escape DEC VT220. Una secuencia de escape es una serie de carácteres que empiezan con la tecla Esc. Terminal acepta todas las secuencias de escape que las terminales VT102 y VT220 usaban para funciones como posicionar el cursor o limpiar la pantalla.

OPCIONES

  Sumario de opciones

Aquí tenemos el sumario de opciones agrupadas por tipos. Las explicaciones están en las secciones siguientes.

Opciones Generales
    -h, --help; -V, --version; --disable-server; --default-display=visualización; --default-working-directory=directorio

Separadores de ventanas o pestañas
    --tab; --window

Opciones de pestañas
    -x, --execute; -e, --command=comando; --working-directory=directorio; -T, --title=título; -H, --hold

Opciones de ventanas
    --display=visualización; --geometry=geometría; --role=rol; --startup-id=string; -I, --icon=icono; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Opciones Generales

-h, --help
    Lista las diversas opciones en linea soportadas por Terminal y sale.

-V, --version
    Muestra información sobre la versión y sale.

--disable-server
    No registrar en el bus de mensajes de sesión D-BUS

--default-display=visualización
    Pantalla X a usar por defecto

--default-working-directory=directorio
    Establece directorio como el directorio de trabajo por defecto para la terminal

  Separadores de ventanas o pestañas

--tab
    Abre una nueva pestaña

--window
    Abre una nueva ventana que contiene una pestaña. Más de una estas opciones pueden ser proporcionadas.

  Opciones de pestañas

-x, --execute
    Executa

-e, --command=comando
    Ejecuta el comando dentro de la terminal

--working-directory=directorio
    Establece directorio como el directorio de trabajo por defecto para la terminal

-T, --title=título
    Establece título como el título de ventana inicial para la terminal

-H, --hold
    Hace que la terminal se quede funcionando después de que el comando hijo haya terminado

  Opciones de ventanas

--display=visualización
    Pantalla X a usar para la última ventana especificada

--geometry=geometría
    Establece geometría como la geometría de la última ventana especificada. Consulte X(7) para obtener más información sobre cómo especificar geometrías de las ventanas.

--role=rol
    Establece rol como el rol de la última ventana especificada. Se aplica sólo a una ventana y puede ser especificado una vez por cada ventana que cree desde la línea de comandos. Ésto es usado generalmente por el administrador de sesiones dentro de Terminal

--startup-id=string
    Configura la id de notificación incial para la última ventana especificada. Se usa internamente seguir la id noticicaciones de arranque cuando se usa el servicio D-BUS.

-I, --icon=icono
    Configura el icono de la terminal como un nombre de icono o de archivo.

--fullscreen
    Configura la última ventana especificada en modo de pantalla completa. Se aplica a una sóla ventana y puede ser especificado una vez por cada ventana que cree desde la línea de comandos.

--maximize
    Configura la última ventana especificada en modo maximizado. Se aplica sólo a una ventana, puede ser especificado una vez por cada ventana que cree desde la línea de comandos.

--show-menubar
    Activa la barra de menú para la última ventana especificada. Puede ser especificado una vez por cada ventana que cree desde la línea de comandos.

--hide-menubar
    Desactiva la barra de menú para la última ventana especificada. Puede ser especificado una vez por cada ventana que cree desde la línea de comandos.

--show-borders
    Activa la decoración de ventana para la última ventana especificada. Se aplica a una sola ventana y puede ser especificado una vez por cada ventana que cree desde la linea de comandos.

--hide-borders
    Desactiva la decoración de ventana para la última ventana especificada. Se aplica a una sola ventana y puede ser especificado una vez por cada ventana que cree desde la linea de comandos.

--show-toolbars
    Activa la barra de herramientas para la última ventana especificada. Se aplica a una sola ventana y puede ser especificado una vez por cada ventana que cree desde la linea de comandos.

--hide-toolbars
    Desactiva la barra de herramientas para la última ventana especificada. Se aplica a una sola ventana y puede ser especificado una vez por cada ventana que cree desde la linea de comandos.

EJEMPLOS

Terminal --geometry 80x40 --command mutt --tab --command mc
    Abre una nueva ventana de terminal con geometría de 80 columnas y 40 filas y dos pestañas dentro de ella. La primera ejecuta el comando mutt y la segunda ejecuta mc.

ENTORNO

Terminal usa la "Basedir Specification" (Especificación de directorio base) tal como es definida en Freedesktop.org[1] para encontrar sus datos y archivos de configuración. Esto significa que las direcciones de archivo serán especificadas como un camino relativo a los directorios descritos en la especificación.

${XDG_CONFIG_HOME}
    El primer directorio base en el cual buscar archivos de configuración. Por defecto es ~/.config/.

${XDG_CONFIG_DIRS}
    Una lista separada por dos puntos (":") de directorios base que contienen datos de configuración. Por defecto la aplicación buscará en ${sysconfdir}/xdg/. El valor de ${sysconfdir} depende en cómo fue construido el programa y a menudo será /etc/ para paquetes binarios.

${XDG_DATA_HOME}
    La raíz para todos los archivos de datos específicos de cada usuario. Por defecto es ~/.local/share/.

${XDG_DATA_DIRS}
    Un conjunto de directorios base ordenados según preferencia relativos a qué archivos de datos deberían ser buscados además del directorio base ${XDG_DATA_HOME}. Los directorios deberían estar separados por dos puntos.

ARCHIVOS

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Esta es la ubicación del archivo de configuración que incluye las preferencias que controlan la apariencia de Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Este archivo incluye la definición de interfaz de usuario para las barras de herramientas. Si personaliza las barras de herramientas usando el editor gráfico de barras de herramientas, Terminal guardará el nuevo diseño en el archivo ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

CONSULTE TAMBIéN

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Desarrollador

Benedikt Meurer <benny@xfce.org>
Desarrollador de software, os-cillation, Desarrollo del sistema,
    Desarrollador

NOTES

1.  Freedesktop.org
    http://freedesktop.org/